import request from '@/utils/request'
import { praseStrEmpty } from "@/utils/ruoyi";

// 查询用户列表
export function listUser(query) {
  return request({
    url: '/system/user/list',
    method: 'get',
    params: query
  })
}

// 查询用户列表-下拉列表
export function selectListUser(query) {
  return request({
    url: '/system/user/selectlist',
    method: 'get',
    params: query
  })
}
//指纹-查询用户指纹录取数量
export const fingerprintQuantity  = (data) => {
  return request({
    url: `/laboratory/haikang/userFinger/queryCount/`+data,
    method: 'GET',
  })
};
// 查询教职工列表-下拉列表
export function selectTeacherList(query) {
  return request({
    url: '/system/user/selectTeacherList',
    method: 'get',
    params: query
  })
}


// 查询用户详细
export function getUser(userId) {
  return request({
    url: '/system/user/' + praseStrEmpty(userId),
    method: 'get'
  })
}

// 新增用户
export function addUser(data) {
  return request({
    url: '/system/user',
    method: 'post',
    data: data
  })
}

// 修改用户
export function updateUser(data) {
  return request({
    url: '/system/user',
    method: 'put',
    data: data
  })
}

// 删除用户
export function delUser(userId) {
  return request({
    url: '/system/user/' + userId,
    method: 'delete'
  })
}

// 用户密码重置
export function resetUserPwd(userId, password) {
  const data = {
    userId,
    password
  }
  return request({
    url: '/system/user/resetPwd',
    method: 'put',
    data: data
  })
}

// 用户状态修改
export function changeUserStatus(userId, status) {
  const data = {
    userId,
    status
  }
  return request({
    url: '/system/user/changeStatus',
    method: 'put',
    data: data
  })
}

// 查询用户个人信息
export function getUserProfile() {
  return request({
    url: '/system/user/profile',
    method: 'get'
  })
}

// 修改用户个人信息
export function updateUserProfile(data) {
  return request({
    url: '/system/user/profile',
    method: 'put',
    data: data
  })
}

// 用户密码重置
export function updateUserPwd(oldPassword, newPassword) {
  const data = {
    oldPassword,
    newPassword
  }
  return request({
    url: '/system/user/profile/updatePwd',
    method: 'put',
    params: data
  })
}

// 用户头像上传
export function uploadAvatar(data) {
  return request({
    url: '/system/user/profile/avatar',
    method: 'post',
    data: data
  })
}

// 查询授权角色
export function getAuthRole(userId) {
  return request({
    url: '/system/user/authRole/' + userId,
    method: 'get'
  })
}

// 保存授权角色
export function updateAuthRole(data) {
  return request({
    url: '/system/user/authRole',
    method: 'put',
    params: data
  })
}


// 查询用户列表
export function positionByList(query) {
  return request({
    url: '/system/user/positionByList',
    method: 'get',
    params: query
  })
}

// 查询用户列表
export function noJoinPositionByList(query) {
  return request({
    url: '/system/user/noJoinPositionByList',
    method: 'get',
    params: query
  })
}


// 给用户绑定职位
export function bingUserByPosition(data) {
  return request({
    url: '/system/user/bingUserByPosition',
    method: 'put',
    params: data
  })
}

// 解除用户绑定职位
export function relieveUserByPosition(data) {
  return request({
    url: '/system/user/relieveUserByPosition',
    method: 'put',
    params: data
  })
}

// 修改用户手机号
export function changePhone(data) {
  return request({
    url: '/system/user/change/phone',
    method: 'put',
    params: data
  })
}

// 上传电子签名
export function genSign(data) {
  return request({
    url: '/system/user/genSign',
    method: 'post',
    data: data
  })
}

// 修改电子签名
export function updateSignature(data) {
  return request({
    url: '/system/user/updateSignature  ',
    method: 'post',
    data: data
  })
}

// 修改用户信息
export function upDataProfile(data) {
  return request({
    url: '/system/user/profile',
    method: 'put',
    data: data
  })
}

// 修改手机号-获取验证码
export function getSendCode(data) {
  return request({
    url: '/system/user/send/code',
    method: 'post',
    params: data
  })
}

//验证码校验
export function phoneCheckCode(query) {
  return request({
    url: '/system/user/check/code',
    method: 'get',
    params: query
  })
}


//修改手机号码
export function putPhone(data) {
  return request({
    url: '/system/user/update/phone',
    method: 'put',
    params: data
  })
}
